package com.swago.baseswago.model.home;

import java.util.List;

/**
 * @date 2021/11/20 14:41
 * description:
 */
public class OfficialMsgModel {


    /**
     * count : string
     * list : [{"id":"string","message_is_read":"Unknown Type: float","message_title":"Unknown Type: float","message_content":"Unknown Type: float","message_time":"string","message_type":"string"}]
     */

    private String count;
    /**
     * id : string
     * message_is_read : Unknown Type: float
     * message_title : Unknown Type: float
     * message_content : Unknown Type: float
     * message_time : string
     * message_type : string
     */

    private List<ListBean> list;

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        private String id;
        private String message_is_read;
        private String message_title;
        private String message_content;
        private String message_time;
        private String message_type;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getMessage_is_read() {
            return message_is_read;
        }

        public void setMessage_is_read(String message_is_read) {
            this.message_is_read = message_is_read;
        }

        public String getMessage_title() {
            return message_title;
        }

        public void setMessage_title(String message_title) {
            this.message_title = message_title;
        }

        public String getMessage_content() {
            return message_content;
        }

        public void setMessage_content(String message_content) {
            this.message_content = message_content;
        }

        public String getMessage_time() {
            return message_time;
        }

        public void setMessage_time(String message_time) {
            this.message_time = message_time;
        }

        public String getMessage_type() {
            return message_type;
        }

        public void setMessage_type(String message_type) {
            this.message_type = message_type;
        }
    }
}
